%define	name	enna
%define	version	0.4.1
%define release %mkrel 0.2

%define major 0
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	Media center
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	e16-like
Group: 		Graphical desktop/Enlightenment
URL:		http://enna.geexbox.org/
Source: 	http://enna.geexbox.org/releases/%{name}-%{version}.tar.xz
BuildRequires:  evas-devel >= 0.9.9.49898
BuildRequires:  ecore-devel >= 0.9.9.49898
BuildRequires:	edje >= 0.9.9.49898
BuildRequires:  edje-devel >= 0.9.9.49898
BuildRequires:	eet-devel >= 1.3.2
BuildRequires:	elementary-devel >= 0.7.0.49898
BuildRequires:	embryo
BuildRequires:	dbus-devel >= 1.2.0
BuildRequires:	ethumb-devel
BuildRequires:	libplayer-devel >= 2.0.0
BuildRequires:	libvalhalla-devel >= 2.0.0
BuildRequires:	gupnp-av-devel
BuildRequires:	libcddb-devel
BuildRequires:	lirc-devel
BuildRequires:	curl-devel
BuildRequires:	libxml2-devel
BuildRequires:	gettext-devel
BuildRequires:	udev-devel
BuildRequires:	xdg-basedir-devel
BuildRequires:	libxrandr-devel
BuildRequires:	bluez-devel
BuildRequires:	cwiid-devel
BuildRoot: %{_tmppath}/%{name}-%{version}

%description
A media center based on the Enlightenment libraries.

%prep
%setup -q -n %{name}-%{version}

%build
NOCONFIGURE=yes ./autogen.sh
%configure2_5x --disable-rpath --disable-static --disable-static-modules
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

rm -f %{buildroot}%{_libdir}/enna/modules/*.la

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/*
%{_libdir}/enna/modules/*.so
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_mandir}/man1/enna.1.*
%{_datadir}/applications/%{name}.desktop


%changelog
* Mon Nov 22 2010 Funda Wang <fwang@mandriva.org> 0.4.1-0.2mdv2011.0
+ Revision: 599598
- rebuild for new elementary

* Fri Nov 12 2010 Funda Wang <fwang@mandriva.org> 0.4.1-0.1mdv2011.0
+ Revision: 596407
- fix br
- new snapshot to build with latest libplayer

* Sun Jan 03 2010 Funda Wang <fwang@mandriva.org> 0.4.0-1mdv2010.1
+ Revision: 485875
- fix file list
- New version 0.4.0

* Wed Oct 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.0-6mdv2010.0
+ Revision: 455798
- rebuild for new curl SSL backend

* Mon Sep 28 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.0-5mdv2010.0
+ Revision: 450716
- fix build dependencies
- rebuild for missing binaries

* Fri Aug 07 2009 Funda Wang <fwang@mandriva.org> 0.3.0-4mdv2010.0
+ Revision: 411299
- renew tarball to build with latest evas

* Thu Jul 09 2009 Funda Wang <fwang@mandriva.org> 0.3.0-3mdv2010.0
+ Revision: 393867
- rebuild

* Wed Jun 10 2009 Funda Wang <fwang@mandriva.org> 0.3.0-2mdv2010.0
+ Revision: 384637
- drop devel files

* Tue Mar 03 2009 Antoine Ginies <aginies@mandriva.com> 0.3.0-1mdv2009.1
+ Revision: 347947
- fix path to libdevel
- add missing files
- add embryo buildrequires
- SVN SNAPSHOT 20090227, release 0.3.0, update buildrequires
- SVN SNAPSHOT 20090227, release 0.3.0, update buildrequires

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - fix no-buildroot-tag

* Fri Dec 21 2007 Adam Williamson <awilliamson@mandriva.org> 0.2.1-1mdv2008.1
+ Revision: 136153
- rebuild to get rid of expat0 dependency
- correct license (e16-like not GPL)
- new license policy
- sane buildrequires
- spec clean
- new version 0.2.1

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Antoine Ginies <aginies@mandriva.com>
    - fix url

* Sat May 26 2007 Antoine Ginies <aginies@mandriva.com> 0.1.0-1mdv2008.0
+ Revision: 31386
- add cvs buildrequires
- first release
- Import enna

